Contacts
Get Contact by Locator
Provide exactly one contact locator:
external_idsecondary_external_idemail_addresssms_phone_numberwhatsapp_phone_numberfacebook_user_idinstagram_user_idpostal_address
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
external_id?||
Identifier assigned by an external system.
secondary_external_id?||
Secondary identifier assigned by an external system.
email_address?|
Filters resources by email address.
sms_phone_number?|
Filters resources by sms phone number.
whatsapp_phone_number?|
Filters resources by whatsapp phone number.
facebook_user_id?|
Unique identifier of the related facebook user.
instagram_user_id?|
Unique identifier of the related instagram user.
postal_address?|
Filters resources by postal address.
include?array<"identities" | "channels">
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
include_details?array<string>
Dynamic detail fields to include. Use repeated query syntax: include_details=foo&include_details=bar.
Items
items <= 10Response Body
application/json
curl -X GET "https://api.getmateo.com/v1/contacts/by"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_name": "string", "full_name": "string", "salutation": "string", "birthday": "2019-08-24T14:15:22Z", "description": "string", "external_id": "string", "secondary_external_id": "string", "address_line1": "string", "address_line2": "string", "city": "string", "zipcode": "string", "country": "string", "is_blocked": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "identities": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_type": "email", "type": "string", "value": "string", "scope_type": "string", "scope_id": "string", "health": "healthy", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "channels": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_type": "email", "health": "healthy", "transactional_opt_in": "consent_granted", "marketing_subscription_status": "requested", "marketing_messages_this_month": 32767, "messages_this_month": 32767, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "property1": null, "property2": null}